import { types as t, traverse } from '@babel/core';
export declare type Path<N> = traverse.NodePath<N>;
export declare type TypePropertyMap = {
    [key: string]: t.TSPropertySignature[];
};
export declare type PropType = t.MemberExpression | t.CallExpression | t.Identifier;
export declare type ConvertState = {
    componentTypes: TypePropertyMap;
    filePath: string;
    hasPropTypesImport: boolean;
    options: PluginOptions;
    propTypeCount: number;
    propTypesImportedName: string;
    reactImportedName: string;
};
export declare type PluginOptions = {
    customPropTypeSuffixes?: string[];
};
